Bug 65601 - Support ca-certificates.conf in p11-kit trust module
Summary: Support ca-certificates.conf in p11-kit trust module
Status: RESOLVED WONTFIX
Alias: None
Product: p11-glue
Classification: Unclassified
Component: p11-kit (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Stef Walter
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-10 09:45 UTC by Stef Walter
Modified: 2013-07-10 13:20 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
trust: Add support for parsing the ca-certificates.conf file (39.66 KB, patch)
2013-06-10 11:34 UTC, Stef Walter
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Stef Walter 2013-06-10 09:45:13 UTC
In order to provide a replacement for loading update-ca-certificates, the trust module should be able to parse the ca-certificates.conf format.

http://man.he.net/man8/update-ca-certificates
Comment 1 Stef Walter 2013-06-10 11:34:01 UTC
Created attachment 80615 [details] [review]
trust: Add support for parsing the ca-certificates.conf file

This is the conf file used by update-ca-certificates. We use this
to add a new token which reads certificates in the same way as
update-ca-certificates.
Comment 2 Stef Walter 2013-07-10 13:20:05 UTC
After further discussion on the mailing list, it looks like this was a bad idea. The ca-certificates.conf file behavior is non-standard between distros. Migration seems the better approach.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.